<template>
    <section class="group-search">
        <el-row :gutter="24"  id="formsearch">
            <div class="demo-input-suffix">
                <el-col :span="1" id="project"> <span class="demo-input-label">Project</span> </el-col>
                <el-col :span='3'> 
                    <el-select v-model="search.project"  placeholder="Search project" size="mini">
                    <el-option value="" label="---Selected---"></el-option>
                    <el-option v-for="item in taskProject" :key="item.id" :label="item.project" :value="item.id"></el-option>
                  </el-select>
                </el-col>
            </div>
            <div class="demo-input-suffix">
                <el-col :span="1" > <span class="demo-input-label">User</span> </el-col>
                <el-col :span='3'> 
                    <el-select v-model="search.user"  placeholder="Search user" size="mini">
                    <el-option value="" label="---Selected---"></el-option>
                    <el-option v-for="item in taskUser" :key="item.id" :label="item.name" :value="item.id"></el-option>
                  </el-select>
                </el-col>
                   
            </div>
            <div class="demo-input-suffix">
                <el-col :span="1"> <span class="demo-input-label">Status</span> </el-col>
                <el-col :span='3'> 
                  <el-select v-model="search.status" placeholder="Search Status" size="mini">
                    <el-option value="" label="---Selected---"></el-option>
                    <el-option :value="1" label="Approve"></el-option>
                    <el-option :value="2" label="Reject"></el-option>
                    <el-option :value="0" label="Request"></el-option>
                  </el-select>
                </el-col>   
            </div>
            <div class="demo-input-suffix">
                <el-col :span="2" style="width:40px; padding-right:0px; padding-left:0px;"> <span class="demo-input-label">Start at</span> </el-col>
                <el-col :span='3'>  <el-date-picker size="mini" style="width:100%" v-model="search.startAt" placeholder="Search start at"></el-date-picker></el-col>
            </div>
            <div class="demo-input-suffix">
                <el-col :span="2" style="width:38px; padding-right:0px; padding-left:0px;"> <span class="demo-input-label">End at</span> </el-col>
                <el-col :span='3'> <el-date-picker size="mini" style="width:100%" v-model="search.endAt" placeholder="Search end at"></el-date-picker></el-col>   
            </div>
            <el-button size="small" type="primary"  icon="el-icon-search" @click="buttonSearch" >Search</el-button>
        </el-row>
    </section>
</template>

<script>

    var dateFormat = require('dateformat');
    import moment from 'moment';

        export default {
            data(){
                return{
                    search:{
                        project:'',
                        user:'',
                        status:'',
                        startAt:moment().startOf('month').format('YYYY-MM-DD'),
                        endAt:moment().endOf('month').format('YYYY-MM-DD'),
                    }
                }
            },
            props:['taskProject', 'taskUser'],
            
            methods:{
                
                buttonSearch(){
                    this.$emit('search',{

                        project: this.search.project,
                        user: this.search.user,
                        status: this.search.status,
                        startat: this.search.startAt !== null ? dateFormat(this.search.startAt, "yyyy-mm-dd ") :'',
                        endat:  this.search.endAt !== null ? dateFormat(this.search.endAt, "yyyy-mm-dd ") :'',
                        
                    })

                }
            }
        }
</script>

<style lang="css" scoped>
#formsearch {
  font-size: 12px;
  min-width:1388px
}
#id{
    margin-left: 10px
}
</style>